Setup
List Topics
https://api.synthesio.com/v1 /projects/{project_id}/setup/social/topics
Lists the topics in the social setup of the project.
Path parameters#
project_id
string required
ID of the project
Responses#
Successful Response
topics array of object
List of topics in the social setup of the project. In case of two-level topic setup, these are the top-level topics.
topics[].id string
topics[].name string
topics[].status string
Status of the topic:
draft: the topic has been modified but not processed yetapplied: the topic has been processedto_delete: the topic has been removed but the removal has not been processed yet
topics[].color string
Hexadecimal color code in #rrggbb format
topics[].subtopics array of object nullable
List of subtopics under this topic
topics[].subtopics[]. id string
topics[].subtopics[]. name string
topics[].subtopics[]. status string
Status of the topic:
draft: the topic has been modified but not processed yetapplied: the topic has been processedto_delete: the topic has been removed but the removal has not been processed yet
topics[].subtopics[]. color string
Hexadecimal color code in #rrggbb format
{
"topics": [
{
"id": "r03aptazwuxvkljkf84w",
"name": "Food",
"status": "applied",
"color": "#c42207",
"subtopics": [
{
"id": "o46btrzamvlev7xhvuuv",
"name": "Pizza",
"status": "applied",
"color": "#2abb17"
}
]
},
{
"id": "r03aptazwuxvkljkf84w",
"name": "Drinks",
"status": "applied",
"color": "#c42207",
"subtopics": [
{
"id": "o46btrzamvlev7xhvuuv",
"name": "Lemonade",
"status": "applied",
"color": "#2abb17"
}
]
}
]
}Bad request
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Unauthorized
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Forbidden
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Not found
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Method not allowed
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}Internal server error
errors array of object
Error that caused the request to fail; even though this is a list, it usually contains a single error
errors[].code string
Error code identifying the type of error
errors[].detail string
Message describing the problem
errors[].request_id string
Unique identifier for the request
errors[].meta object nullable
Additional metadata about the error
{
"errors": [
{
"code": "string",
"detail": "string",
"request_id": "string",
"meta": {}
}
]
}